;;; SPDX-License-Identifier: LGPL-3.0-or-later
;;; SPDX-FileCopyrightText: Copyright © 2018-2023 Tony Garnock-Jones <tonyg@leastfixedpoint.com>

#lang setup/infotab
(define collection "syndicate")

(define deps '(

	       "base"

	       "data-lib"
               "auxiliary-macro-context"
               "preserves"
               "sha"
               "struct-defaults"
               "web-server-lib"

	       ;; "htdp-lib"
	       ;; "net-lib"
	       ;; "profile-lib"
               ;; "bitsyntax"
               ;; "db-lib"
               ;; "gui-lib"
               ;; "pict-lib"
               ;; "rfc6455"
               ;; "sgl"

               ))

(define build-deps '("rackunit-lib"))

(define pre-install-collection "private/install.rkt")

(define racket-launcher-names
  '("syndicate-rkt-server"
    "syndicate-rkt-server-debug"))

(define racket-launcher-libraries
  '("bin/syndicate-server.rkt"
    "bin/syndicate-server-debug.rkt"))
